Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WTCExportMBean

public interface WTCExportMBean
extends ConfigurationMBean

This interface provides access to the WTC export configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getEJBName()`
`java.lang.String` | `getLocalAccessPoint()`
`java.lang.String` | `getRemoteName()`
`java.lang.String` | `getResourceName()`
`void` | `setEJBName(java.lang.String EJBName)` Defines the complete name of the EJB home interface to use when invoking a service.
`void` | `setLocalAccessPoint(java.lang.String LocalAccessPoint)` Defines the name of the local access point that exports the service.
`void` | `setRemoteName(java.lang.String RemoteName)` Defines the remote name of the service.
`void` | `setResourceName(java.lang.String ResourceName)` Defines the name used to identify an exported service.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setResourceName

    public void setResourceName(java.lang.String ResourceName)
                         throws javax.management.InvalidAttributeValueException

  Defines the name used to identify an exported service.

  The combination of the ResourceName and LocalAccessPoint attributes must be unique within a WTCExportMbean.

  Legal NULL: false
  Parameters:
    `ResourceName` - the exported service entry

### getResourceName

    public java.lang.String getResourceName()

### setLocalAccessPoint

    public void setLocalAccessPoint(java.lang.String LocalAccessPoint)
                             throws javax.management.InvalidAttributeValueException

  Defines the name of the local access point that exports the service.

  Legal NULL: false
  Parameters:
    `LocalAccessPoint` - the name for the local domain access point

### getLocalAccessPoint

    public java.lang.String getLocalAccessPoint()

### setEJBName

    public void setEJBName(java.lang.String EJBName)
                    throws javax.management.InvalidAttributeValueException

  Defines the complete name of the EJB home interface to use when invoking a service. If not specified, the default interface used is `tuxedo.services.servicenameHome`.

  For example: If the service being invoked is TOUPPER and EJBName attribute is not specified, the home interface looked up in JNDI would be `tuxedo.services.TOUPPERHome`.

  Parameters:
    `EJBName` - the EJB home interface to use when invoking this service.

### getEJBName

    public java.lang.String getEJBName()

### setRemoteName

    public void setRemoteName(java.lang.String RemoteName)
                       throws javax.management.InvalidAttributeValueException

  Defines the remote name of the service. If not specified, the ResourceName attribute is used.

  Parameters:
    `RemoteName` - the remote name for the service

### getRemoteName

    public java.lang.String getRemoteName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference